# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as 
# published by the Free Software Foundation here:
# (http://www.gnu.org/licenses/gpl-2.0.html)
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

DEPENDS = dash,glibc,util-linux
ARCH = x86_64
URL = http://e2fsprogs.sourceforge.net/
REPO = core
BRIEF = Filesystem utilities for use with ext2/3/4
DESC = Provides the filesystem utilities for use with the ext2 filesystem. \
It also supports the ext3 and ext4 filesystems.
SLVER = 1

ARCHIVE := $(PWD)/SRC/$(shell ls SRC|egrep '(bz2|gz|tar|xz)$$'|tail -1)
TYPE := $(shell file -ib $(ARCHIVE)|cut -d';' -f1|tr -d '\n')
SRCDIR := $(shell tar -tf $(ARCHIVE)|head -1|sed 's/\/.*//')
PATCHDIR := $(PWD)/SRC/patches
BUILDDIR := $(PWD)/BUILD
VERSION := $(shell echo $(SRCDIR)|egrep -o '\-[0-9].*'|sed 's/^-//')-$(SLVER)

MAKE = make
MAKEINST = make install && make install-libs && make install-doc-libs

include /usr/share/sl/Makefile.snaplinux

$(SRCDIR)/configure: $(ARCHIVE)
	@if [ '$(TYPE)' == 'application/x-bzip2' ]; then \
		tar -jxf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-gzip' ]; then \
		tar -zxf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-tar' ]; then \
		tar -xf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-xz' ]; then \
		tar -xf $(ARCHIVE); \
	else \
		echo 'Unable to determine archive type'; \
		exit 1; \
	fi

$(BUILDDIR)/config.log: $(SRCDIR)/configure
	@mkdir -v $(BUILDDIR)
	@if [ -f $(PATCHDIR)/*.patch ]; then \
		cd $(SRCDIR) && cat $(PATCHDIR)/*.patch|patch --verbose -Np1; \
	fi
	@cd $(BUILDDIR); \
	../$(SRCDIR)/configure \
		--prefix=/usr \
		--bindir=/bin \
		--with-root-prefix="" \
		--enable-elf-shlibs \
		--disable-libblkid \
		--disable-libuuid \
		--disable-uuidd \
		--disable-fsck \
		--build=x86_64-snap-linux-gnu \
		--host=x86_64-snap-linux-gnu \
		--target=x86_64-snap-linux-gnu

$(BUILDDIR)/e2fsck/e2fsck: $(BUILDDIR)/config.log
	@cd $(BUILDDIR) && make

$(ROOT): $(BUILDDIR)/e2fsck/e2fsck
	@if [ -d $(ROOT) ]; then \
		touch $(ROOT); \
	else \
		mkdir -v $(ROOT); \
	fi

	@cd $(BUILDDIR) && \
	make install DESTDIR=$(ROOT) && \
	make install-libs DESTDIR=$(ROOT) && \
	make install-doc-libs DESTDIR=$(ROOT)

test: $(ROOT)
	@cd $(BUILDDIR); \
	make check

clean:
	@rm -rvf $(ROOT) \
		$(SLINFO) \
		$(MANIFEST) \
		$(FILES) \
		$(SRCDIR) \
		$(BUILDDIR)

